<div class="custom-button-container"
  [ngClass]="{
    'cb--container-full': customWidth === 'full',
    'cb--container-fit': customWidth === 'fit',
    'cb--left': position === 'left',
    'cb--right': position === 'rigth',
    'cb--center': position === 'center'
  }">
  <button class="custom-button"
    [ngClass]="{
      'cb--reset-color-1': type === 'reset-color-1',
      'cb--button-color-2': type === 'button-color-2',
      'cb--outline': isOutline,
      'cb--disabled': isDisabled
    }"
    button-color-1
    [disabled]="isDisabled"
    [ngStyle]="customAttributes"
    [type]="'button'"
    (click)="buttonClick()">
    <i [ngClass]="{
        'cb-close-icon': iconType === 'close-icon-1'
    }" ></i>
    <ng-content></ng-content> <!-- aqui agregar: texto, texto + icono -->
  </button>
</div>
